<script setup lang="ts">
import { storeToRefs } from 'pinia'
import { useCartStore } from '@/stores/cart'
const store = useCartStore()
const { totalCartCount } = storeToRefs(store)
const { openCart } = store
</script>
<template>
  <li class="shopping-cart">
    <a href="#" class="cart-dropdown-btn" @click.prevent.stop="openCart()">
      <span v-if="totalCartCount > 0" class="cart-count">{{ totalCartCount }}</span>
      <i class="flaticon-shopping-cart"></i>
    </a>
  </li>
</template>
